# Changelog

## [Unreleased](https://github.com/EMMC-ASBL/oteapi-dlite/tree/HEAD)

[Full Changelog](https://github.com/EMMC-ASBL/oteapi-dlite/compare/v1.0.0...HEAD)

# OTEAPI Dlite v1

This release marks the upgrade from in-development versions to a proper v1.
It represents the vast work that has gone into the OTE work through various EU projects; developing and utilizing the technology to bring semantically documented data through to simulators and other software that can specify what they desire, semantically, and subsequently retrieve it through OTE pipelines.

## Drop Python 3.9 support

With this version Python 3.9 support is also dropped.
This matches the drop of Python 3.9 support in the [OTEAPI Core](https://github.com/EMMC-ASBL/oteapi-core) package.

The minimum required Python version is now Python 3.10.
Python 3.12 test runs are added to the CI workflows.

## Upgrade to latest DLite and tripper

The latest versions of DLite (v0.5.29) and tripper (v0.4.0) as of this release are now supported.
These versions bring several updates and crucial fixes.

## DX

Update dev tools, specifically add several other dev tools: `blacken-docs` and `markdownlint-cli2`, as well as several other pre-commit hooks from the base pre-commit-hooks repository.

## [v1.0.0](https://github.com/EMMC-ASBL/oteapi-dlite/tree/v1.0.0) (2025-04-11)

[Full Changelog](https://github.com/EMMC-ASBL/oteapi-dlite/compare/v0.4.0...v1.0.0)

# OTEAPI Dlite v1

This release marks the upgrade from in-development versions to a proper v1.
It represents the vast work that has gone into the OTE work through various EU projects; developing and utilizing the technology to bring semantically documented data through to simulators and other software that can specify what they desire, semantically, and subsequently retrieve it through OTE pipelines.

## Drop Python 3.9 support

With this version Python 3.9 support is also dropped.
This matches the drop of Python 3.9 support in the [OTEAPI Core](https://github.com/EMMC-ASBL/oteapi-core) package.

The minimum required Python version is now Python 3.10.
Python 3.12 test runs are added to the CI workflows.

## Upgrade to latest DLite and tripper

The latest versions of DLite (v0.5.29) and tripper (v0.4.0) as of this release are now supported.
These versions bring several updates and crucial fixes.

## DX

Update dev tools, specifically add several other dev tools: `blacken-docs` and `markdownlint-cli2`, as well as several other pre-commit hooks from the base pre-commit-hooks repository.

**Closed issues:**

- Dlite v0.5.24 causes segmentation fault in linux for pytest startup [\#327](https://github.com/EMMC-ASBL/oteapi-dlite/issues/327)

**Merged pull requests:**

- Upgrade to OTEAPI v1 [\#352](https://github.com/EMMC-ASBL/oteapi-dlite/pull/352) ([CasperWA](https://github.com/CasperWA))
- \[pre-commit.ci\] pre-commit autoupdate [\#351](https://github.com/EMMC-ASBL/oteapi-dlite/pull/351) ([pre-commit-ci[bot]](https://github.com/apps/pre-commit-ci))
- \[pre-commit.ci\] pre-commit autoupdate [\#349](https://github.com/EMMC-ASBL/oteapi-dlite/pull/349) ([pre-commit-ci[bot]](https://github.com/apps/pre-commit-ci))
- \[pre-commit.ci\] pre-commit autoupdate [\#347](https://github.com/EMMC-ASBL/oteapi-dlite/pull/347) ([pre-commit-ci[bot]](https://github.com/apps/pre-commit-ci))
- Added an configuration option to turn off property mappings in the generate strategy [\#328](https://github.com/EMMC-ASBL/oteapi-dlite/pull/328) ([jesper-friis](https://github.com/jesper-friis))

## [v0.4.0](https://github.com/EMMC-ASBL/oteapi-dlite/tree/v0.4.0) (2025-03-11)

[Full Changelog](https://github.com/EMMC-ASBL/oteapi-dlite/compare/v0.3.2...v0.4.0)

## Support pydantic v2

Support Pydantic v2 and the latest OTEAPI Core version.

**Implemented enhancements:**

- Support latest `dev` version of OTEAPI-Core [\#303](https://github.com/EMMC-ASBL/oteapi-dlite/issues/303)

**Merged pull requests:**

- \[pre-commit.ci\] pre-commit autoupdate [\#344](https://github.com/EMMC-ASBL/oteapi-dlite/pull/344) ([pre-commit-ci[bot]](https://github.com/apps/pre-commit-ci))
- \[pre-commit.ci\] pre-commit autoupdate [\#342](https://github.com/EMMC-ASBL/oteapi-dlite/pull/342) ([pre-commit-ci[bot]](https://github.com/apps/pre-commit-ci))
- \[pre-commit.ci\] pre-commit autoupdate [\#340](https://github.com/EMMC-ASBL/oteapi-dlite/pull/340) ([pre-commit-ci[bot]](https://github.com/apps/pre-commit-ci))
- \[pre-commit.ci\] pre-commit autoupdate [\#338](https://github.com/EMMC-ASBL/oteapi-dlite/pull/338) ([pre-commit-ci[bot]](https://github.com/apps/pre-commit-ci))
- Fixate DLite-Python and tripper so that nothing fails in master.  [\#330](https://github.com/EMMC-ASBL/oteapi-dlite/pull/330) ([francescalb](https://github.com/francescalb))
- \[pre-commit.ci\] pre-commit autoupdate [\#325](https://github.com/EMMC-ASBL/oteapi-dlite/pull/325) ([pre-commit-ci[bot]](https://github.com/apps/pre-commit-ci))
- \[pre-commit.ci\] pre-commit autoupdate [\#324](https://github.com/EMMC-ASBL/oteapi-dlite/pull/324) ([pre-commit-ci[bot]](https://github.com/apps/pre-commit-ci))
- \[pre-commit.ci\] pre-commit autoupdate [\#322](https://github.com/EMMC-ASBL/oteapi-dlite/pull/322) ([pre-commit-ci[bot]](https://github.com/apps/pre-commit-ci))
- \[pre-commit.ci\] pre-commit autoupdate [\#320](https://github.com/EMMC-ASBL/oteapi-dlite/pull/320) ([pre-commit-ci[bot]](https://github.com/apps/pre-commit-ci))
- \[pre-commit.ci\] pre-commit autoupdate [\#318](https://github.com/EMMC-ASBL/oteapi-dlite/pull/318) ([pre-commit-ci[bot]](https://github.com/apps/pre-commit-ci))
- \[pre-commit.ci\] pre-commit autoupdate [\#317](https://github.com/EMMC-ASBL/oteapi-dlite/pull/317) ([pre-commit-ci[bot]](https://github.com/apps/pre-commit-ci))
- Upgrade to `dev` core versions [\#316](https://github.com/EMMC-ASBL/oteapi-dlite/pull/316) ([CasperWA](https://github.com/CasperWA))

## [v0.3.2](https://github.com/EMMC-ASBL/oteapi-dlite/tree/v0.3.2) (2024-10-21)

[Full Changelog](https://github.com/EMMC-ASBL/oteapi-dlite/compare/v0.3.1...v0.3.2)

**Merged pull requests:**

- Update tripper dependecy to have version number [\#315](https://github.com/EMMC-ASBL/oteapi-dlite/pull/315) ([francescalb](https://github.com/francescalb))

## [v0.3.1](https://github.com/EMMC-ASBL/oteapi-dlite/tree/v0.3.1) (2024-10-21)

[Full Changelog](https://github.com/EMMC-ASBL/oteapi-dlite/compare/v0.3.0...v0.3.1)

**Implemented enhancements:**

- Use ruff instead of pylint [\#308](https://github.com/EMMC-ASBL/oteapi-dlite/issues/308)
- Update CI/CD, streamlining and aligning it [\#307](https://github.com/EMMC-ASBL/oteapi-dlite/issues/307)

**Closed issues:**

- Use Trusted Publishers from PyPI [\#310](https://github.com/EMMC-ASBL/oteapi-dlite/issues/310)
- mkdocs autorefs fails in strict mode after 1.1.0, and fails with error with 1.2.0 [\#269](https://github.com/EMMC-ASBL/oteapi-dlite/issues/269)
- Support pre-commit in Windows [\#214](https://github.com/EMMC-ASBL/oteapi-dlite/issues/214)
- Make ci\_tests work for Python 3.11 [\#168](https://github.com/EMMC-ASBL/oteapi-dlite/issues/168)

**Merged pull requests:**

- Update CI/CD, fix MkDocs build, use Trusted Publishers for PyPI [\#311](https://github.com/EMMC-ASBL/oteapi-dlite/pull/311) ([CasperWA](https://github.com/CasperWA))
- Update dev tools [\#309](https://github.com/EMMC-ASBL/oteapi-dlite/pull/309) ([CasperWA](https://github.com/CasperWA))

## [v0.3.0](https://github.com/EMMC-ASBL/oteapi-dlite/tree/v0.3.0) (2024-10-14)

[Full Changelog](https://github.com/EMMC-ASBL/oteapi-dlite/compare/v0.2.2...v0.3.0)

**Fixed bugs:**

- Use new `[full]` extra when installing DLite [\#162](https://github.com/EMMC-ASBL/oteapi-dlite/issues/162)

**Closed issues:**

- Let convert strategy accept kwargs than can be passed on to the function. [\#268](https://github.com/EMMC-ASBL/oteapi-dlite/issues/268)
- Add option to dlite-generate for also storing data documentation of the generated data to the KB [\#263](https://github.com/EMMC-ASBL/oteapi-dlite/issues/263)

**Merged pull requests:**

- \[pre-commit.ci\] pre-commit autoupdate [\#297](https://github.com/EMMC-ASBL/oteapi-dlite/pull/297) ([pre-commit-ci[bot]](https://github.com/apps/pre-commit-ci))
- \[pre-commit.ci\] pre-commit autoupdate [\#286](https://github.com/EMMC-ASBL/oteapi-dlite/pull/286) ([pre-commit-ci[bot]](https://github.com/apps/pre-commit-ci))
- Updated test\_generate\_kb to use otelib [\#281](https://github.com/EMMC-ASBL/oteapi-dlite/pull/281) ([jesper-friis](https://github.com/jesper-friis))
- Improved control over partial pipeline created with the generate strategy [\#280](https://github.com/EMMC-ASBL/oteapi-dlite/pull/280) ([jesper-friis](https://github.com/jesper-friis))
- Updated dependencies [\#273](https://github.com/EMMC-ASBL/oteapi-dlite/pull/273) ([jesper-friis](https://github.com/jesper-friis))
- Update `kb_document` with the possibility to connect input to output [\#267](https://github.com/EMMC-ASBL/oteapi-dlite/pull/267) ([jesper-friis](https://github.com/jesper-friis))
- Added options to strategy convert [\#266](https://github.com/EMMC-ASBL/oteapi-dlite/pull/266) ([francescalb](https://github.com/francescalb))
- Add new `kb_document` option to the generate strategy [\#264](https://github.com/EMMC-ASBL/oteapi-dlite/pull/264) ([jesper-friis](https://github.com/jesper-friis))
- \[pre-commit.ci\] pre-commit autoupdate [\#260](https://github.com/EMMC-ASBL/oteapi-dlite/pull/260) ([pre-commit-ci[bot]](https://github.com/apps/pre-commit-ci))

## [v0.2.2](https://github.com/EMMC-ASBL/oteapi-dlite/tree/v0.2.2) (2024-07-04)

[Full Changelog](https://github.com/EMMC-ASBL/oteapi-dlite/compare/v0.2.1...v0.2.2)

**Fixed bugs:**

- pre-commit config should be updated to state `master` instead of `main` [\#242](https://github.com/EMMC-ASBL/oteapi-dlite/issues/242)

**Merged pull requests:**

- Consolidate docs build [\#257](https://github.com/EMMC-ASBL/oteapi-dlite/pull/257) ([CasperWA](https://github.com/CasperWA))
- master is master and not main in pre-commit-config [\#256](https://github.com/EMMC-ASBL/oteapi-dlite/pull/256) ([francescalb](https://github.com/francescalb))
- New ci/cd workflows based on tripper [\#255](https://github.com/EMMC-ASBL/oteapi-dlite/pull/255) ([francescalb](https://github.com/francescalb))

## [v0.2.1](https://github.com/EMMC-ASBL/oteapi-dlite/tree/v0.2.1) (2024-07-01)

[Full Changelog](https://github.com/EMMC-ASBL/oteapi-dlite/compare/v0.2.0...v0.2.1)

**Merged pull requests:**

- \[Auto-generated\] Update dependencies [\#253](https://github.com/EMMC-ASBL/oteapi-dlite/pull/253) ([TEAM4-0](https://github.com/TEAM4-0))
- Made `label` optional in the parse strategy [\#252](https://github.com/EMMC-ASBL/oteapi-dlite/pull/252) ([jesper-friis](https://github.com/jesper-friis))
- \[Auto-generated\] Update dependencies [\#251](https://github.com/EMMC-ASBL/oteapi-dlite/pull/251) ([TEAM4-0](https://github.com/TEAM4-0))
- Update numpy requirement from \<2,\>=1.21 to \>=1.21,\<3 [\#250](https://github.com/EMMC-ASBL/oteapi-dlite/pull/250) ([dependabot[bot]](https://github.com/apps/dependabot))
- Bump pypa/gh-action-pypi-publish from 1.8.14 to 1.9.0 [\#249](https://github.com/EMMC-ASBL/oteapi-dlite/pull/249) ([dependabot[bot]](https://github.com/apps/dependabot))
- Update pylint requirement from ~=3.1 to ~=3.2 [\#248](https://github.com/EMMC-ASBL/oteapi-dlite/pull/248) ([dependabot[bot]](https://github.com/apps/dependabot))
- \[Auto-generated\] Update dependencies [\#247](https://github.com/EMMC-ASBL/oteapi-dlite/pull/247) ([TEAM4-0](https://github.com/TEAM4-0))
- \[pre-commit.ci\] pre-commit autoupdate [\#241](https://github.com/EMMC-ASBL/oteapi-dlite/pull/241) ([pre-commit-ci[bot]](https://github.com/apps/pre-commit-ci))
- Bump chuhlomin/render-template from 1.9 to 1.10 [\#238](https://github.com/EMMC-ASBL/oteapi-dlite/pull/238) ([dependabot[bot]](https://github.com/apps/dependabot))
- \[Auto-generated\] Update dependencies [\#236](https://github.com/EMMC-ASBL/oteapi-dlite/pull/236) ([TEAM4-0](https://github.com/TEAM4-0))
- Update mkdocstrings\[python\] requirement from ~=0.24.1 to ~=0.24.3 [\#235](https://github.com/EMMC-ASBL/oteapi-dlite/pull/235) ([dependabot[bot]](https://github.com/apps/dependabot))
- \[Auto-generated\] Update dependencies [\#234](https://github.com/EMMC-ASBL/oteapi-dlite/pull/234) ([TEAM4-0](https://github.com/TEAM4-0))
- Update pre-commit requirement from ~=3.6 to ~=3.7 [\#233](https://github.com/EMMC-ASBL/oteapi-dlite/pull/233) ([dependabot[bot]](https://github.com/apps/dependabot))
- Update pytest-cov requirement from ~=4.1 to ~=5.0 [\#232](https://github.com/EMMC-ASBL/oteapi-dlite/pull/232) ([dependabot[bot]](https://github.com/apps/dependabot))
- \[Auto-generated\] Update dependencies [\#231](https://github.com/EMMC-ASBL/oteapi-dlite/pull/231) ([TEAM4-0](https://github.com/TEAM4-0))
- Revert 1 remove session [\#229](https://github.com/EMMC-ASBL/oteapi-dlite/pull/229) ([Treesarj](https://github.com/Treesarj))
- \[Auto-generated\] Update dependencies [\#228](https://github.com/EMMC-ASBL/oteapi-dlite/pull/228) ([TEAM4-0](https://github.com/TEAM4-0))
- \[Auto-generated\] Update dependencies [\#222](https://github.com/EMMC-ASBL/oteapi-dlite/pull/222) ([TEAM4-0](https://github.com/TEAM4-0))
- \[Auto-generated\] Update dependencies [\#218](https://github.com/EMMC-ASBL/oteapi-dlite/pull/218) ([TEAM4-0](https://github.com/TEAM4-0))
- Bump pypa/gh-action-pypi-publish from 1.8.11 to 1.8.12 [\#217](https://github.com/EMMC-ASBL/oteapi-dlite/pull/217) ([dependabot[bot]](https://github.com/apps/dependabot))
- Update pylint requirement from ~=3.0 to ~=3.1 [\#216](https://github.com/EMMC-ASBL/oteapi-dlite/pull/216) ([dependabot[bot]](https://github.com/apps/dependabot))

## [v0.2.0](https://github.com/EMMC-ASBL/oteapi-dlite/tree/v0.2.0) (2024-02-29)

[Full Changelog](https://github.com/EMMC-ASBL/oteapi-dlite/compare/v0.1.7...v0.2.0)

**Implemented enhancements:**

- Migrate to pydantic v2 [\#187](https://github.com/EMMC-ASBL/oteapi-dlite/issues/187)

**Fixed bugs:**

- Move pre-commit dependency to `docs` requirements [\#215](https://github.com/EMMC-ASBL/oteapi-dlite/pull/215) ([CasperWA](https://github.com/CasperWA))

**Merged pull requests:**

- Migrate to pydantic v2 [\#192](https://github.com/EMMC-ASBL/oteapi-dlite/pull/192) ([CasperWA](https://github.com/CasperWA))

## [v0.1.7](https://github.com/EMMC-ASBL/oteapi-dlite/tree/v0.1.7) (2024-02-23)

[Full Changelog](https://github.com/EMMC-ASBL/oteapi-dlite/compare/v0.1.6...v0.1.7)

**Closed issues:**

- `mypy` update detects new type error [\#212](https://github.com/EMMC-ASBL/oteapi-dlite/issues/212)
- Document functionality/features [\#196](https://github.com/EMMC-ASBL/oteapi-dlite/issues/196)
- Reenable update-docs-api-reference in ci workflow [\#83](https://github.com/EMMC-ASBL/oteapi-dlite/issues/83)

**Merged pull requests:**

- Add tuple as input type in `parse_excel.infer_metadata()` [\#213](https://github.com/EMMC-ASBL/oteapi-dlite/pull/213) ([ajeklund](https://github.com/ajeklund))
- Update documentation preparation [\#209](https://github.com/EMMC-ASBL/oteapi-dlite/pull/209) ([CasperWA](https://github.com/CasperWA))
- \[Auto-generated\] Update dependencies [\#200](https://github.com/EMMC-ASBL/oteapi-dlite/pull/200) ([TEAM4-0](https://github.com/TEAM4-0))
- \[Auto-generated\] Update dependencies [\#198](https://github.com/EMMC-ASBL/oteapi-dlite/pull/198) ([TEAM4-0](https://github.com/TEAM4-0))
- Added new filter strategy [\#195](https://github.com/EMMC-ASBL/oteapi-dlite/pull/195) ([jesper-friis](https://github.com/jesper-friis))
- Added "store\_collection" option to generate strategy [\#184](https://github.com/EMMC-ASBL/oteapi-dlite/pull/184) ([jesper-friis](https://github.com/jesper-friis))

## [v0.1.6](https://github.com/EMMC-ASBL/oteapi-dlite/tree/v0.1.6) (2023-10-26)

[Full Changelog](https://github.com/EMMC-ASBL/oteapi-dlite/compare/v0.1.5...v0.1.6)

**Fixed bugs:**

- Pin OTEAPI Core to \< v0.6 [\#186](https://github.com/EMMC-ASBL/oteapi-dlite/issues/186)
- "Still" getting SegFaults with DLite v0.4.x [\#179](https://github.com/EMMC-ASBL/oteapi-dlite/issues/179)

**Merged pull requests:**

- \[Auto-generated\] Update dependencies [\#193](https://github.com/EMMC-ASBL/oteapi-dlite/pull/193) ([TEAM4-0](https://github.com/TEAM4-0))
- \[Auto-generated\] Update dependencies [\#191](https://github.com/EMMC-ASBL/oteapi-dlite/pull/191) ([TEAM4-0](https://github.com/TEAM4-0))
- Update requirements on dlite [\#178](https://github.com/EMMC-ASBL/oteapi-dlite/pull/178) ([jesper-friis](https://github.com/jesper-friis))
- Update mkdocs-material requirement from ~=9.1 to ~=9.4 [\#174](https://github.com/EMMC-ASBL/oteapi-dlite/pull/174) ([dependabot[bot]](https://github.com/apps/dependabot))
- \[Auto-generated\] Update dependencies [\#169](https://github.com/EMMC-ASBL/oteapi-dlite/pull/169) ([TEAM4-0](https://github.com/TEAM4-0))
- Bump actions/checkout from 3 to 4 [\#167](https://github.com/EMMC-ASBL/oteapi-dlite/pull/167) ([dependabot[bot]](https://github.com/apps/dependabot))
- Update pre-commit requirement from ~=3.3 to ~=3.4 [\#166](https://github.com/EMMC-ASBL/oteapi-dlite/pull/166) ([dependabot[bot]](https://github.com/apps/dependabot))
- Update mkdocstrings\[python\] requirement from ~=0.22.0 to ~=0.23.0 [\#165](https://github.com/EMMC-ASBL/oteapi-dlite/pull/165) ([dependabot[bot]](https://github.com/apps/dependabot))
- Relative file paths in tests [\#164](https://github.com/EMMC-ASBL/oteapi-dlite/pull/164) ([jesper-friis](https://github.com/jesper-friis))

## [v0.1.5](https://github.com/EMMC-ASBL/oteapi-dlite/tree/v0.1.5) (2023-09-22)

[Full Changelog](https://github.com/EMMC-ASBL/oteapi-dlite/compare/v0.1.4...v0.1.5)

**Fixed bugs:**

- Image parse strategy will change in OTEAPI Core [\#172](https://github.com/EMMC-ASBL/oteapi-dlite/issues/172)

**Merged pull requests:**

- Support image being stored in DataCache as bytes [\#173](https://github.com/EMMC-ASBL/oteapi-dlite/pull/173) ([CasperWA](https://github.com/CasperWA))
- Added a generic convert function strategy [\#163](https://github.com/EMMC-ASBL/oteapi-dlite/pull/163) ([jesper-friis](https://github.com/jesper-friis))
- \[Auto-generated\] Update dependencies [\#159](https://github.com/EMMC-ASBL/oteapi-dlite/pull/159) ([TEAM4-0](https://github.com/TEAM4-0))

## [v0.1.4](https://github.com/EMMC-ASBL/oteapi-dlite/tree/v0.1.4) (2023-08-17)

[Full Changelog](https://github.com/EMMC-ASBL/oteapi-dlite/compare/v0.1.3...v0.1.4)

**Merged pull requests:**

- \[Auto-generated\] Update dependencies [\#154](https://github.com/EMMC-ASBL/oteapi-dlite/pull/154) ([TEAM4-0](https://github.com/TEAM4-0))
- Bump pypa/gh-action-pypi-publish from 1.8.7 to 1.8.8 [\#153](https://github.com/EMMC-ASBL/oteapi-dlite/pull/153) ([dependabot[bot]](https://github.com/apps/dependabot))
- \[Auto-generated\] Update dependencies [\#149](https://github.com/EMMC-ASBL/oteapi-dlite/pull/149) ([TEAM4-0](https://github.com/TEAM4-0))
- Proper lookup of collection [\#145](https://github.com/EMMC-ASBL/oteapi-dlite/pull/145) ([jesper-friis](https://github.com/jesper-friis))
- Smarter generate [\#144](https://github.com/EMMC-ASBL/oteapi-dlite/pull/144) ([jesper-friis](https://github.com/jesper-friis))
- \[Auto-generated\] Update dependencies [\#143](https://github.com/EMMC-ASBL/oteapi-dlite/pull/143) ([TEAM4-0](https://github.com/TEAM4-0))
- Added badge [\#140](https://github.com/EMMC-ASBL/oteapi-dlite/pull/140) ([jesper-friis](https://github.com/jesper-friis))

## [v0.1.3](https://github.com/EMMC-ASBL/oteapi-dlite/tree/v0.1.3) (2023-05-24)

[Full Changelog](https://github.com/EMMC-ASBL/oteapi-dlite/compare/v0.1.2...v0.1.3)

**Merged pull requests:**

- Updated the create\_collection filter strategy to store the collection in the data cache [\#139](https://github.com/EMMC-ASBL/oteapi-dlite/pull/139) ([jesper-friis](https://github.com/jesper-friis))
- \[Auto-generated\] Update dependencies [\#137](https://github.com/EMMC-ASBL/oteapi-dlite/pull/137) ([TEAM4-0](https://github.com/TEAM4-0))
- \[Auto-generated\] Update dependencies [\#133](https://github.com/EMMC-ASBL/oteapi-dlite/pull/133) ([TEAM4-0](https://github.com/TEAM4-0))

## [v0.1.2](https://github.com/EMMC-ASBL/oteapi-dlite/tree/v0.1.2) (2023-04-18)

[Full Changelog](https://github.com/EMMC-ASBL/oteapi-dlite/compare/v0.1.1...v0.1.2)

**Fixed bugs:**

- Getting `Segmentation fault` in CI tests [\#126](https://github.com/EMMC-ASBL/oteapi-dlite/issues/126)

**Merged pull requests:**

- Avoid psycopg2-binary v2.9.6 [\#129](https://github.com/EMMC-ASBL/oteapi-dlite/pull/129) ([CasperWA](https://github.com/CasperWA))
- \[Auto-generated\] Update dependencies [\#125](https://github.com/EMMC-ASBL/oteapi-dlite/pull/125) ([TEAM4-0](https://github.com/TEAM4-0))
- \[Auto-generated\] Update dependencies [\#121](https://github.com/EMMC-ASBL/oteapi-dlite/pull/121) ([TEAM4-0](https://github.com/TEAM4-0))
- \[Auto-generated\] Update dependencies [\#118](https://github.com/EMMC-ASBL/oteapi-dlite/pull/118) ([TEAM4-0](https://github.com/TEAM4-0))
- \[Auto-generated\] Update dependencies [\#114](https://github.com/EMMC-ASBL/oteapi-dlite/pull/114) ([TEAM4-0](https://github.com/TEAM4-0))
- \[Auto-generated\] Update dependencies [\#111](https://github.com/EMMC-ASBL/oteapi-dlite/pull/111) ([TEAM4-0](https://github.com/TEAM4-0))
- \[Auto-generated\] Update dependencies [\#109](https://github.com/EMMC-ASBL/oteapi-dlite/pull/109) ([TEAM4-0](https://github.com/TEAM4-0))
- \[Auto-generated\] Update dependencies [\#107](https://github.com/EMMC-ASBL/oteapi-dlite/pull/107) ([TEAM4-0](https://github.com/TEAM4-0))
- \[Auto-generated\] Update dependencies [\#106](https://github.com/EMMC-ASBL/oteapi-dlite/pull/106) ([TEAM4-0](https://github.com/TEAM4-0))
- \[Auto-generated\] Update dependencies [\#104](https://github.com/EMMC-ASBL/oteapi-dlite/pull/104) ([TEAM4-0](https://github.com/TEAM4-0))
- \[Auto-generated\] Update dependencies [\#102](https://github.com/EMMC-ASBL/oteapi-dlite/pull/102) ([TEAM4-0](https://github.com/TEAM4-0))
- \[Auto-generated\] Update dependencies [\#99](https://github.com/EMMC-ASBL/oteapi-dlite/pull/99) ([TEAM4-0](https://github.com/TEAM4-0))

## [v0.1.1](https://github.com/EMMC-ASBL/oteapi-dlite/tree/v0.1.1) (2023-01-02)

[Full Changelog](https://github.com/EMMC-ASBL/oteapi-dlite/compare/v0.1.0...v0.1.1)

**Merged pull requests:**

- \[Auto-generated\] Update dependencies [\#97](https://github.com/EMMC-ASBL/oteapi-dlite/pull/97) ([TEAM4-0](https://github.com/TEAM4-0))
- Store collection in datacache [\#95](https://github.com/EMMC-ASBL/oteapi-dlite/pull/95) ([CasperWA](https://github.com/CasperWA))

## [v0.1.0](https://github.com/EMMC-ASBL/oteapi-dlite/tree/v0.1.0) (2022-12-20)

[Full Changelog](https://github.com/EMMC-ASBL/oteapi-dlite/compare/v0.0.8...v0.1.0)

**Closed issues:**

- Update pylint options [\#78](https://github.com/EMMC-ASBL/oteapi-dlite/issues/78)
- Usage of plugins defined in DLite [\#2](https://github.com/EMMC-ASBL/oteapi-dlite/issues/2)

**Merged pull requests:**

- \[Auto-generated\] Update dependencies [\#94](https://github.com/EMMC-ASBL/oteapi-dlite/pull/94) ([TEAM4-0](https://github.com/TEAM4-0))
- \[Auto-generated\] Update dependencies [\#91](https://github.com/EMMC-ASBL/oteapi-dlite/pull/91) ([TEAM4-0](https://github.com/TEAM4-0))
- \[Auto-generated\] Update dependencies [\#90](https://github.com/EMMC-ASBL/oteapi-dlite/pull/90) ([TEAM4-0](https://github.com/TEAM4-0))
- Added mapping strategy [\#87](https://github.com/EMMC-ASBL/oteapi-dlite/pull/87) ([jesper-friis](https://github.com/jesper-friis))
- \[Auto-generated\] Update dependencies [\#85](https://github.com/EMMC-ASBL/oteapi-dlite/pull/85) ([TEAM4-0](https://github.com/TEAM4-0))
- Removed resource-management issues by assuming OTEAPI drives everything [\#84](https://github.com/EMMC-ASBL/oteapi-dlite/pull/84) ([jesper-friis](https://github.com/jesper-friis))
- Added generic dlite parse and function strategies [\#82](https://github.com/EMMC-ASBL/oteapi-dlite/pull/82) ([jesper-friis](https://github.com/jesper-friis))
- \[Auto-generated\] Update dependencies [\#81](https://github.com/EMMC-ASBL/oteapi-dlite/pull/81) ([TEAM4-0](https://github.com/TEAM4-0))
- Use recursive option for pylint-tests CI [\#79](https://github.com/EMMC-ASBL/oteapi-dlite/pull/79) ([CasperWA](https://github.com/CasperWA))
- \[Auto-generated\] Update dependencies [\#76](https://github.com/EMMC-ASBL/oteapi-dlite/pull/76) ([TEAM4-0](https://github.com/TEAM4-0))
- \[Auto-generated\] Update dependencies [\#75](https://github.com/EMMC-ASBL/oteapi-dlite/pull/75) ([TEAM4-0](https://github.com/TEAM4-0))
- \[Auto-generated\] Update dependencies [\#72](https://github.com/EMMC-ASBL/oteapi-dlite/pull/72) ([TEAM4-0](https://github.com/TEAM4-0))
- \[Auto-generated\] Update dependencies [\#71](https://github.com/EMMC-ASBL/oteapi-dlite/pull/71) ([TEAM4-0](https://github.com/TEAM4-0))
- \[Auto-generated\] Update dependencies [\#69](https://github.com/EMMC-ASBL/oteapi-dlite/pull/69) ([TEAM4-0](https://github.com/TEAM4-0))
- \[Auto-generated\] Update dependencies [\#68](https://github.com/EMMC-ASBL/oteapi-dlite/pull/68) ([TEAM4-0](https://github.com/TEAM4-0))
- \[Auto-generated\] Update dependencies [\#66](https://github.com/EMMC-ASBL/oteapi-dlite/pull/66) ([TEAM4-0](https://github.com/TEAM4-0))

## [v0.0.8](https://github.com/EMMC-ASBL/oteapi-dlite/tree/v0.0.8) (2022-08-04)

[Full Changelog](https://github.com/EMMC-ASBL/oteapi-dlite/compare/v0.0.7...v0.0.8)

**Fixed bugs:**

- Usage of `key` in cache is deprecated [\#49](https://github.com/EMMC-ASBL/oteapi-dlite/issues/49)

**Merged pull requests:**

- Update to latest dlite \(0.3.12\) [\#64](https://github.com/EMMC-ASBL/oteapi-dlite/pull/64) ([jesper-friis](https://github.com/jesper-friis))
- \[Auto-generated\] Update dependencies [\#63](https://github.com/EMMC-ASBL/oteapi-dlite/pull/63) ([TEAM4-0](https://github.com/TEAM4-0))
- \[Auto-generated\] Update dependencies [\#60](https://github.com/EMMC-ASBL/oteapi-dlite/pull/60) ([TEAM4-0](https://github.com/TEAM4-0))
- \[Auto-generated\] Update dependencies [\#58](https://github.com/EMMC-ASBL/oteapi-dlite/pull/58) ([TEAM4-0](https://github.com/TEAM4-0))
- \[Auto-generated\] Update dependencies [\#54](https://github.com/EMMC-ASBL/oteapi-dlite/pull/54) ([TEAM4-0](https://github.com/TEAM4-0))
- Add Excel file to cache in test [\#50](https://github.com/EMMC-ASBL/oteapi-dlite/pull/50) ([CasperWA](https://github.com/CasperWA))
- \[Auto-generated\] Update dependencies [\#48](https://github.com/EMMC-ASBL/oteapi-dlite/pull/48) ([TEAM4-0](https://github.com/TEAM4-0))
- \[Auto-generated\] Update dependencies [\#47](https://github.com/EMMC-ASBL/oteapi-dlite/pull/47) ([TEAM4-0](https://github.com/TEAM4-0))
- Modify excel parse [\#46](https://github.com/EMMC-ASBL/oteapi-dlite/pull/46) ([daniel-sintef](https://github.com/daniel-sintef))
- \[Auto-generated\] Update dependencies [\#45](https://github.com/EMMC-ASBL/oteapi-dlite/pull/45) ([TEAM4-0](https://github.com/TEAM4-0))
- \[Auto-generated\] Update dependencies [\#42](https://github.com/EMMC-ASBL/oteapi-dlite/pull/42) ([TEAM4-0](https://github.com/TEAM4-0))
- Make sure that the collection does not die [\#39](https://github.com/EMMC-ASBL/oteapi-dlite/pull/39) ([jesper-friis](https://github.com/jesper-friis))
- Added PR remplate with checklist for reviewer. [\#38](https://github.com/EMMC-ASBL/oteapi-dlite/pull/38) ([francescalb](https://github.com/francescalb))
- \[Auto-generated\] Update dependencies [\#37](https://github.com/EMMC-ASBL/oteapi-dlite/pull/37) ([TEAM4-0](https://github.com/TEAM4-0))
- Update README.md [\#35](https://github.com/EMMC-ASBL/oteapi-dlite/pull/35) ([quaat](https://github.com/quaat))

## [v0.0.7](https://github.com/EMMC-ASBL/oteapi-dlite/tree/v0.0.7) (2022-03-17)

[Full Changelog](https://github.com/EMMC-ASBL/oteapi-dlite/compare/v0.0.6...v0.0.7)

**Fixed bugs:**

- Tests are failing when using the `oteapi-core`@master [\#32](https://github.com/EMMC-ASBL/oteapi-dlite/issues/32)
- Fix Excel parser [\#8](https://github.com/EMMC-ASBL/oteapi-dlite/issues/8)

**Merged pull requests:**

- Fix tests + excel parser [\#33](https://github.com/EMMC-ASBL/oteapi-dlite/pull/33) ([CasperWA](https://github.com/CasperWA))

## [v0.0.6](https://github.com/EMMC-ASBL/oteapi-dlite/tree/v0.0.6) (2022-03-16)

[Full Changelog](https://github.com/EMMC-ASBL/oteapi-dlite/compare/v0.0.5...v0.0.6)

**Fixed bugs:**

- Documentation issue [\#25](https://github.com/EMMC-ASBL/oteapi-dlite/issues/25)

**Merged pull requests:**

- Fix setup.cfg [\#31](https://github.com/EMMC-ASBL/oteapi-dlite/pull/31) ([jesper-friis](https://github.com/jesper-friis))
- \[Auto-generated\] Update dependencies [\#30](https://github.com/EMMC-ASBL/oteapi-dlite/pull/30) ([TEAM4-0](https://github.com/TEAM4-0))
- Corrected syntax in setup.cfg [\#28](https://github.com/EMMC-ASBL/oteapi-dlite/pull/28) ([jesper-friis](https://github.com/jesper-friis))

## [v0.0.5](https://github.com/EMMC-ASBL/oteapi-dlite/tree/v0.0.5) (2022-03-11)

[Full Changelog](https://github.com/EMMC-ASBL/oteapi-dlite/compare/v0.0.4...v0.0.5)

**Merged pull requests:**

- Updated strategy names [\#27](https://github.com/EMMC-ASBL/oteapi-dlite/pull/27) ([jesper-friis](https://github.com/jesper-friis))
- \[Auto-generated\] Update dependencies [\#26](https://github.com/EMMC-ASBL/oteapi-dlite/pull/26) ([TEAM4-0](https://github.com/TEAM4-0))
- Updated dlite image parse strategy according to changes in the image parse strategy in oteapi core PR \#108 [\#18](https://github.com/EMMC-ASBL/oteapi-dlite/pull/18) ([jesper-friis](https://github.com/jesper-friis))

## [v0.0.4](https://github.com/EMMC-ASBL/oteapi-dlite/tree/v0.0.4) (2022-03-07)

[Full Changelog](https://github.com/EMMC-ASBL/oteapi-dlite/compare/v0.0.3...v0.0.4)

**Fixed bugs:**

- Release workflow failing [\#22](https://github.com/EMMC-ASBL/oteapi-dlite/issues/22)

**Merged pull requests:**

- Fix folder reference in workflow [\#24](https://github.com/EMMC-ASBL/oteapi-dlite/pull/24) ([CasperWA](https://github.com/CasperWA))
- Fix option name for `invoke setver` [\#23](https://github.com/EMMC-ASBL/oteapi-dlite/pull/23) ([CasperWA](https://github.com/CasperWA))

## [v0.0.3](https://github.com/EMMC-ASBL/oteapi-dlite/tree/v0.0.3) (2022-03-05)

[Full Changelog](https://github.com/EMMC-ASBL/oteapi-dlite/compare/v0.0.2...v0.0.3)

**Merged pull requests:**

- Add serialise filter [\#17](https://github.com/EMMC-ASBL/oteapi-dlite/pull/17) ([jesper-friis](https://github.com/jesper-friis))
- Added a simple filter that adds a collection to the session [\#15](https://github.com/EMMC-ASBL/oteapi-dlite/pull/15) ([jesper-friis](https://github.com/jesper-friis))

## [v0.0.2](https://github.com/EMMC-ASBL/oteapi-dlite/tree/v0.0.2) (2022-03-05)

[Full Changelog](https://github.com/EMMC-ASBL/oteapi-dlite/compare/04843680b62d6bb3bc16e5ff644edbcc40892f31...v0.0.2)

**Closed issues:**

- Add CI/CD workflow\(s\) [\#3](https://github.com/EMMC-ASBL/oteapi-dlite/issues/3)

**Merged pull requests:**

- Relaxed dependencies [\#16](https://github.com/EMMC-ASBL/oteapi-dlite/pull/16) ([jesper-friis](https://github.com/jesper-friis))
- fix ci cd workflow [\#14](https://github.com/EMMC-ASBL/oteapi-dlite/pull/14) ([jesper-friis](https://github.com/jesper-friis))
- Add MANIFEST.in [\#9](https://github.com/EMMC-ASBL/oteapi-dlite/pull/9) ([CasperWA](https://github.com/CasperWA))
- Image parser [\#7](https://github.com/EMMC-ASBL/oteapi-dlite/pull/7) ([TorgeirUstad](https://github.com/TorgeirUstad))
- Add CI/CD  [\#4](https://github.com/EMMC-ASBL/oteapi-dlite/pull/4) ([jesper-friis](https://github.com/jesper-friis))
- Parse excel [\#1](https://github.com/EMMC-ASBL/oteapi-dlite/pull/1) ([jesper-friis](https://github.com/jesper-friis))



\* *This Changelog was automatically generated by [github_changelog_generator](https://github.com/github-changelog-generator/github-changelog-generator)*
